Exception subclass:#Notification
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions'
!

!Notification class methodsFor:'documentation'!

documentation
"    
    Notification ist an abstract superclass of all notification 
    exceptions in the system

    [author:]
        Stefan Vogel

    [see also:]
        Signal
"
!

examples
"
                                                            [exBegin]
    Notification raiseRequest
                                                            [exEnd]
"

! !

!Notification class methodsFor:'initialization'!

initialize

    NotifierString := 'Notification'.

    "
     self initialize
    "

    "Created: / 23.7.1999 / 15:31:44 / stefan"
! !

!Notification methodsFor:'default actions'!

action
    "Default action for warnings: open a info box with errorString"

    self proceedWith:(Dialog information:self errorString)


    "
      Notification raiseRequest
    "

    "Modified: / 23.7.1999 / 15:35:40 / stefan"
! !

!Notification class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/Notification.st,v 1.1 1999-07-23 15:06:30 stefan Exp $'
! !
Notification initialize!
